Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/RegressionInstanceProviderTest.cs	(revision 9885)
@@ -22,12 +22,13 @@
 using System;
 using System.Text;
-using HeuristicLab.Problems.Instances.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances.DataAnalysis_34.Tests {
+namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
   [TestClass()]
   public class RegressionInstanceProviderTest {
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "medium")]
     public void GetKeijzerInstanceTest() {
       var target = new KeijzerInstanceProvider();
@@ -37,6 +38,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -47,5 +47,7 @@
     }
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetKornInstanceTest() {
       var target = new KornsInstanceProvider();
@@ -55,6 +57,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -65,5 +66,7 @@
     }
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetNguyenInstanceTest() {
       var target = new NguyenInstanceProvider();
@@ -73,6 +76,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -83,5 +85,7 @@
     }
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetRealWorldInstanceTest() {
       var target = new RegressionRealWorldInstanceProvider();
@@ -91,6 +95,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -101,5 +104,7 @@
     }
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetVariousInstanceTest() {
       var target = new VariousInstanceProvider();
@@ -109,6 +114,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
@@ -119,5 +123,7 @@
     }
 
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void GetVladislavlevaInstanceTest() {
       var target = new VladislavlevaInstanceProvider();
@@ -127,6 +133,5 @@
         try {
           target.LoadData(id);
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           erroneousInstances.AppendLine(id.Name + ": " + ex.Message);
         }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.Instances.DataAnalysis-3.3/TableFileParserTest.cs	(revision 9885)
@@ -22,13 +22,12 @@
 using System;
 using System.IO;
-using HeuristicLab.Problems.Instances.DataAnalysis;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.Instances.DataAnalysis_34.Tests {
-
+namespace HeuristicLab.Problems.Instances.DataAnalysis.Tests {
   [TestClass()]
   public class TableFileParserTest {
-
-    [TestMethod]
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseCSV() {
       string tempFileName = Path.GetTempFileName();
@@ -46,10 +45,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseCSVWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -68,11 +69,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSV() {
       string tempFileName = Path.GetTempFileName();
@@ -90,11 +92,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -113,11 +116,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual(parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -135,10 +139,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanCSVWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -157,11 +163,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -179,11 +186,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithoutSpace() {
       string tempFileName = Path.GetTempFileName();
@@ -201,11 +209,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -224,11 +233,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishCSVWithoutCommasWithoutSpacesWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -247,12 +257,13 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanTabSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -270,11 +281,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanTabSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -293,11 +305,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishTabSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -315,10 +328,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishTabSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -337,11 +352,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseTabSeparatedWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -359,10 +375,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseTabSeparatedWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -381,11 +399,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseWithEmtpyLines() {
       string tempFileName = Path.GetTempFileName();
@@ -403,11 +422,12 @@
         Assert.AreEqual(4, parser.Rows);
         Assert.AreEqual(4, parser.Columns);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanSpaceSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -425,10 +445,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseGermanSpaceSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -447,11 +469,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparated() {
       string tempFileName = Path.GetTempFileName();
@@ -469,10 +492,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparatedWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -491,11 +516,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3.14);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseEnglishSpaceSeparatedWithNamesManyColumns() {
       string tempFileName = Path.GetTempFileName();
@@ -511,11 +537,12 @@
         Assert.AreEqual(3, parser.Rows);
         Assert.AreEqual(4507, parser.Columns);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseSpaceSeparatedWithoutCommas() {
       string tempFileName = Path.GetTempFileName();
@@ -533,10 +560,12 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
-        File.Delete(tempFileName);
-      }
-    }
-    [TestMethod]
+      } finally {
+        File.Delete(tempFileName);
+      }
+    }
+
+    [TestMethod]
+    [TestCategory("Problems.Instances")]
+    [TestProperty("Time", "short")]
     public void ParseSpaceSeparatedWithoutCommasWithNames() {
       string tempFileName = Path.GetTempFileName();
@@ -555,6 +584,5 @@
         Assert.AreEqual(4, parser.Columns);
         Assert.AreEqual((double)parser.Values[3][0], 3);
-      }
-      finally {
+      } finally {
         File.Delete(tempFileName);
       }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.LinearAssignment-3.3/LinearAssignmentProblemSolverTest.cs	(revision 9885)
@@ -24,5 +24,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.LinearAssignment.Tests_33 {
+namespace HeuristicLab.Problems.LinearAssignment.Tests {
   /// <summary>
   ///This is a test class for LinearAssignmentProblemSolverTest and is intended
@@ -31,21 +31,10 @@
   [TestClass()]
   public class LinearAssignmentProblemSolverTest {
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get { return testContextInstance; }
-      set { testContextInstance = value; }
-    }
-
-
     /// <summary>
     ///A test for Solve
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void SolveTest() {
       double[,] costs = new double[,] {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPLIBInstancesTest.cs	(revision 9885)
@@ -27,5 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.QuadraticAssignment.Tests_33 {
+namespace HeuristicLab.Problems.QuadraticAssignment.Tests {
   [TestClass]
   public class QAPLIBInstancesTest {
@@ -189,4 +189,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "long")]
     public void TestQAPLIBInstances() {
       var provider = new QAPLIBInstanceProvider();
@@ -208,4 +210,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "long")]
     public void TestQAPLIBSolutions() {
       var provider = new QAPLIBInstanceProvider();
@@ -226,4 +230,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void TestQAPLIBLowerBounds() {
       var provider = new QAPLIBInstanceProvider();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.QuadraticAssignment-3.3/QAPMoveEvaluatorTest.cs	(revision 9885)
@@ -27,6 +27,5 @@
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.QuadraticAssignment.Tests_33 {
-
+namespace HeuristicLab.Problems.QuadraticAssignment.Tests {
   /// <summary>
   ///This is a test class for the QAP move evaluators
@@ -86,4 +85,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void Swap2MoveEvaluatorFastEvaluationTest() {
 
@@ -126,4 +127,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void Swap2MoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -157,4 +160,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void InversionMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -189,4 +194,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void TranslocationMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
@@ -227,4 +234,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.Assignment")]
+    [TestProperty("Time", "short")]
     public void ScrambleMoveEvaluatorTest() {
       for (int i = 0; i < 500; i++) {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for AckleyEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class AckleyEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void AckleyEvaluateFunctionTest() {
       AckleyEvaluator_Accessor target = new AckleyEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for BealeEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class BealeEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void BealeEvaluateFunctionTest() {
       BealeEvaluator_Accessor target = new BealeEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for BoothEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class BoothEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void BoothEvaluateFunctionTest() {
       BoothEvaluator_Accessor target = new BoothEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for GriewankEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class GriewankEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void GriewankEvaluateFunctionTest() {
       GriewankEvaluator_Accessor target = new GriewankEvaluator_Accessor();
